Bug 1063048 - Review Request: rubygem-eventmachine_httpserver - EventMachine HTTP Server
Review Request: rubygem-eventmachine_httpserver - EventMachine HTTP Server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-09 13:06 EST by Nitesh Narayan Lal
Modified: 2015-07-21 08:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-02 11:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
niteshnarayanlalleo: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Nitesh Narayan Lal 2014-02-09 13:06:54 EST
Spec URL: http://niteshnarayan.fedorapeople.org/SPECS/rubygem-eventmachine_httpserver-0.2.1.spec
SRPM URL: http://niteshnarayan.fedorapeople.org/SRPMS/rubygem-eventmachine_httpserver-0.2.1-1.fc19.src.rpm
Description: Simple http server.
Fedora Account System Username:niteshnarayan
Comment 1 Mo Morsi 2014-03-02 08:14:26 EST
Hey Nitesh some comments:

- Spec file name should be 'rubygem-eventmachine_httpserver.spec'

- %description should be a bit more descriptive than "Simple http server." Unfortunately there is not alot by ways of documentation in this gem but perhaps you could just write a sentence or two describing what it is, how it relates to event machine and stuff like "faster than other web servers" "non-rfc-strict parser" etc (just wouldn't reference other web servers like "thin" or "mongrel" specifically)

- The rspec command should be "rspec -Ilib spec"

- The %{gem_instdir}/eventmachine_httpserver.gemspec.* files should be rm'd or excluded

- The test dir and Rakefile should be rm'd, excluded, or marked as %doc

- This package is missing a LICENSE file, it should be included
Comment 2 Miroslav Suchý 2015-01-15 05:27:00 EST
Ping? Any progress?
Comment 3 Mo Morsi 2015-02-02 11:02:25 EST
Nitesh conveyed to me via email that he is no longer interested in working on this. Sorry for the belated response

Note You need to log in before you can comment on or make changes to this bug.